Subject: Re: bug#66765: closed (Re: bug#66765: 30.0.50; Building emacs with xinput2 breaks receiving XSendEvent events)

From: Ami Fischman <[email-masked]>
Date: Fri, 27 Oct 2023 10:37:13 -0700

Thanks for following up, all.

> > The OP talked specifically about ratpoison.
> ratpoison doesn't send events to Emacs itself.

This is incorrect. I only included the `xse` invocation to provide
readers of the bug who do not use ratpoison normally a way to
reproduce the issue. Ratpoison _does_ call XSendEvent directly, e.g.
at https://git.savannah.nongnu.org/cgit/ratpoison.git/tree/src/actions.c?h=v1.4.9#n1414

> It is easily replaced with "xdotool" or suchlike.

For the record, xdotool (version 3.20160805.1) fails similarly to xse
and ratpoison when I try to use it like this:
xdotool key --window 0x36000d4 ctrl+a
(window ID of HEAD emacs with xinput2 results in a no-op, window ID of
emacs without xinput2 correctly receives a C-a event)
I'm curious if you have an example invocation you can share that does
result in a C-a being injected to an emacs build with XInput2 support.